Update to newer version of docker-compose >= 1.6

Bug #1637223 reported by bugproxy on 2016-10-27
22
This bug affects 3 people
Affects Status Importance Assigned to Milestone
Ubuntu on IBM z Systems
High
Canonical Server Team
docker-compose (Ubuntu)
Undecided
Unassigned
Xenial
High
Unassigned
dockerpty (Ubuntu)
Undecided
Unassigned
Xenial
Undecided
Unassigned
python-docker (Ubuntu)
Undecided
Unassigned
Xenial
High
Unassigned

Bug Description

[Impact]
Ubuntu 16.04.1 does not contain latest docker-compose release needed to handle v2 yml files. As minimum level 1.6 has to be integrated.

[Test case]
Follow the instructions at https://docs.docker.com/compose/gettingstarted/#step-4-build-and-run-your-app-with-compose, installing docker and docker-compose from the packages.

[Regression potential]
Docker compose is currently broken in Xenial (because docker is too new) so it can't get much worse. dockerpty and python-docker have no reverse-depends and so updating them is of low risk. (possibly these packages should be considered part of the "docker group" per https://wiki.ubuntu.com/DockerUpdates ?)

------- Comment From <email address hidden> 2016-10-27 10:02 EDT-------
we get error in latest ubuntu 16.04.1 with docker-compose
ERROR: In file '/home/purit/scala-workbench/docker-compose.yml' service 'version' doesn't have any configuration options. All top level keys in your docker-compose.yml must map to a dictionary of configuration options.
here the version infos
apt-cache policy docker.compose;apt-cache policy docker.io
docker-compose:
Installed: 1.5.2-1
Candidate: 1.5.2-1
Version table:
*** 1.5.2-1 500
500 http://de.ports.ubuntu.com/ubuntu-ports xenial/universe s390x Packages
100 /var/lib/dpkg/status
docker.io:
Installed: 1.12.1-0ubuntu13~16.04.1
Candidate: 1.12.1-0ubuntu13~16.04.1
Version table:
*** 1.12.1-0ubuntu13~16.04.1 500
500 http://de.ports.ubuntu.com/ubuntu-ports xenial-updates/universe s390x Packages
100 /var/lib/dpkg/status
1.10.3-0ubuntu6 500
500 http://de.ports.ubuntu.com/ubuntu-ports xenial/universe s390x Packages

tags: added: architecture-s39064 bugnameltc-147978 severity-high targetmilestone-inin---
Changed in ubuntu:
assignee: nobody → Skipper Bug Screeners (skipper-screen-team)
affects: ubuntu → docker-compose (Ubuntu)
Changed in ubuntu-z-systems:
status: New → Confirmed
importance: Undecided → High
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in docker-compose (Ubuntu):
status: New → Confirmed
Leonardo Donelli (learts92) wrote :

I concur. A lot of important and very useful changes in docker-compose 1.6

bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2016-12-14 08:34 EDT-------
Added target to 16.04.2 after discussion with Canonical

tags: added: targetmilestone-inin16042
removed: targetmilestone-inin---
tags: added: regression-update
Frank Heimes (frank-heimes) wrote :

Current Docker package from xenial (docker.io 1.12.1) does not work with docker-compose 1.5.2 anymore. It requires docker-compose 1.6, that again requires an updated version of python-docker.

Suggestion is to make the python-docker (1.9.0) and docker-compose (1.8.0) from Zesty available in Xenial.

This combination of docker.io (1.12.1), python-docker (1.9.0) and docker-compose (1.8.0) will play together again.

Changed in ubuntu-z-systems:
assignee: nobody → Canonical Server Team (canonical-server)
Changed in docker-compose (Ubuntu Xenial):
importance: Undecided → High
status: New → Confirmed
assignee: nobody → Dimitri John Ledkov (xnox)
milestone: none → xenial-updates
Changed in docker-compose (Ubuntu):
status: Confirmed → Invalid
assignee: Skipper Bug Screeners (skipper-screen-team) → Dimitri John Ledkov (xnox)
Changed in python-docker (Ubuntu Xenial):
status: New → Confirmed
importance: Undecided → High
Changed in python-docker (Ubuntu):
status: New → Invalid
Changed in python-docker (Ubuntu Xenial):
assignee: nobody → Dimitri John Ledkov (xnox)
milestone: none → xenial-updates
Michael Hudson-Doyle (mwhudson) wrote :

Ugh, it seems that a new version of python-websocket is required too, and that has some non-trivial reverse dependencies. Maybe they'll be fine but it requires a bit of investigation that I'm afraid I don't have time for any more this week :(

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in docker-compose (Ubuntu Yakkety):
status: New → Confirmed
Changed in python-docker (Ubuntu Yakkety):
status: New → Confirmed
Michael Hudson-Doyle (mwhudson) wrote :

So I had a look and it seems the dependence on python-websocket very weak; only one function in python-docker depends on websocket, and no code in Debian calls it. So I'd be happy to take the zesty versions of python-docker, dockerpty and docker-compose, drop the version from the build-dep on python-websocket and upload to Xenial.

(Oh yes, python-docker build-depends on a newer python-backports.ssl-match-hostname but the file it imports from there is exactly the same as in the package in xenial, so we can relax that requirement too).

I'll get the packages built in a ppa for testing and into the Xenial queue. Whoever from the SRU team reads this will probably want to check my working with reverse-depends ;-p

description: updated

Packages in https://launchpad.net/~mwhudson/+archive/ubuntu/devirt and in the X and Y SRU queues.

no longer affects: dockerpty (Ubuntu Yakkety)
Changed in docker-compose (Ubuntu Xenial):
status: Confirmed → In Progress
Changed in docker-compose (Ubuntu Yakkety):
status: Confirmed → In Progress
Changed in dockerpty (Ubuntu Xenial):
status: New → In Progress
Changed in python-docker (Ubuntu Xenial):
status: Confirmed → In Progress
Changed in python-docker (Ubuntu Yakkety):
status: Confirmed → In Progress
Changed in ubuntu-z-systems:
status: Confirmed → In Progress
description: updated
Changed in dockerpty (Ubuntu):
status: New → Invalid

Hello bugproxy, or anyone else affected,

Accepted python-docker into yakkety-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/python-docker/1.9.0-1~16.10.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in python-docker (Ubuntu Yakkety):
status: In Progress → Fix Committed
tags: added: verification-needed
Brian Murray (brian-murray) wrote :

Hello bugproxy, or anyone else affected,

Accepted docker-compose into yakkety-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/docker-compose/1.8.0-2~16.10.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in docker-compose (Ubuntu Yakkety):
status: In Progress → Fix Committed
Changed in docker-compose (Ubuntu Xenial):
assignee: Dimitri John Ledkov (xnox) → nobody
Changed in docker-compose (Ubuntu):
assignee: Dimitri John Ledkov (xnox) → nobody
Changed in python-docker (Ubuntu Xenial):
assignee: Dimitri John Ledkov (xnox) → nobody

Tested successfully with docker-compose 1.8.0-2~16.10.1 on yakkety-proposed.

Frank Heimes (frank-heimes) wrote :

Also successfully tested on Yakkety / s390x (as well as already on Xenial / s390x).

Does one of you want to do the verification-needed -> verification-done thing then?

tags: added: s390x verification-done
removed: verification-needed
Chris J Arges (arges) wrote :

Hello bugproxy, or anyone else affected,

Accepted docker-compose into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/docker-compose/1.8.0-2~16.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in docker-compose (Ubuntu Xenial):
status: In Progress → Fix Committed
tags: removed: verification-done
tags: added: verification-needed
Changed in python-docker (Ubuntu Xenial):
status: In Progress → Fix Committed
Chris J Arges (arges) wrote :

Hello bugproxy, or anyone else affected,

Accepted python-docker into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/python-docker/1.9.0-1~16.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in dockerpty (Ubuntu Xenial):
status: In Progress → Fix Committed
Chris J Arges (arges) wrote :

Hello bugproxy, or anyone else affected,

Accepted dockerpty into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/dockerpty/0.4.1-1~16.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in ubuntu-z-systems:
status: In Progress → Fix Committed
Frank Heimes (frank-heimes) wrote :

I tested docker-compose 1.8.0-2~16.04.1, python-docker 1.9.0-1~16.04.1 and python-dockerpty 0.4.1-1~16.04.1 from xenial-proposed that pulled in:
cgroupfs-mount all 1.2
containerd s390x 0.2.5-0ubuntu1~16.04.1
runc s390x 1.0.0~rc2+docker1.12.6-0ubuntu1~16.04.1
python-cached-property all 1.3.0-1
python-backports.ssl-match-hostname all 3.4.0.2-1
python-websocket all 0.18.0-2
python-docopt all 0.6.2-1build1
python-functools32 all 3.2.3.2-2
python-funcsigs all 0.4-2
python-pbr all 1.8.0-4ubuntu1
python-mock all 1.3.0-2.1ubuntu1
python-jsonschema all 2.5.1-4
python-texttable all 0.8.1-1
libyaml-0-2 s390x 0.1.6-3
python-yaml s390x 3.11-3build1
docker.io s390x 1.12.6-0ubuntu1~16.04.1
ubuntu-fan all 0.9.2
Hence tested in this larger combination - which seems to e for me the most meaningful test.
I could build docker images and fire-up and use docker-compose.

So for me this combination seems to work fine.

So I tested in this combination

tags: added: verification-done
removed: verification-needed
Robie Basak (racb) wrote :

The Xenial updates are not aged yet (7 days required), so I cannot release them yet. Thank you for the detailed testing report, Frank.

For Yakkety, both python-docker and docker-compose are aged enough, but I only see confirmation that docker-compose 1.8.0-2~16.10.1 has been tested. Has someone tested python-docker from yakkety-proposed? If so, please comment and be explicit about the package name and version number to avoid confusion.

Currently then, I think this is verification-done-xenial but not yet verification-done-yakkety.

tags: added: verification-done-xenial verification-needed
removed: verification-done
Chris Foote (7-chris-z) wrote :

I also tested docker-compose, python-docker and python-dockerpty from xenial-proposed using the python(2) versions, using the debs:

docker-compose_1.8.0-2~16.04.1_all.deb
python-docker_1.9.0-1~16.04.1_all.deb
python-dockerpty_0.4.1-1~16.04.1_all.deb

Actual testing: using docker-compose to start and stop docker images.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package dockerpty - 0.4.1-1~16.04.1

---------------
dockerpty (0.4.1-1~16.04.1) xenial; urgency=medium

  * Build for Xenial (LP: #1637223)

 -- Michael Hudson-Doyle <email address hidden> Thu, 23 Mar 2017 21:40:35 +1300

Changed in dockerpty (Ubuntu Xenial):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package docker-compose - 1.8.0-2~16.04.1

---------------
docker-compose (1.8.0-2~16.04.1) xenial; urgency=medium

  * Build for Xenial. (LP: #1637223)
  * Relax version of dependency on python-websocket.

 -- Michael Hudson-Doyle <email address hidden> Thu, 23 Mar 2017 22:00:53 +1300

Changed in docker-compose (Ubuntu Xenial):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package python-docker - 1.9.0-1~16.04.1

---------------
python-docker (1.9.0-1~16.04.1) xenial; urgency=medium

  * Build for Xenial (LP: #1637223).
  * Relax version of dependency on python-websocket.
  * Relax version of dependency on python-backports.ssl-match-hostname.

 -- Michael Hudson-Doyle <email address hidden> Thu, 23 Mar 2017 21:35:45 +1300

Changed in python-docker (Ubuntu Xenial):
status: Fix Committed → Fix Released
Changed in ubuntu-z-systems:
status: Fix Committed → Fix Released

------- Comment From <email address hidden> 2017-04-21 03:59 EDT-------
IBM bugzilla status -> closed. Available within Xenial

As part of a recent change in the Stable Release Update verification policy we would like to inform that for a bug to be considered verified for a given release a verification-done-$RELEASE tag needs to be added to the bug where $RELEASE is the name of the series the package that was tested (e.g. verification-done-xenial). Please note that the global 'verification-done' tag can no longer be used for this purpose.

Thank you!

no longer affects: docker-compose (Ubuntu Yakkety)
no longer affects: python-docker (Ubuntu Yakkety)
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers